> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Update a release

PUT https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/releases/{release_id}
Content-Type: application/vnd.contentful.management.v1+json

Updates a release by ID. Include `X-Contentful-Version`.

Reference: https://contentful.com/developers/docs/references/content-management-api/releases/update-a-release

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `release_id` (string, required) — ID of the release in form of a string

### Body (application/vnd.contentful.management.v1+json)

This endpoint expects a map from string to any.

- `map from string to any`

## Response

### 201

Created - Resource created successfully

- `map from string to any`

## Examples

### Releases

**Request**

```json
{
  "entities": {
    "items": [
      {
        "sys": {
          "id": "",
          "linkType": "",
          "type": "Link"
        }
      }
    ]
  },
  "title": ""
}
```

**Response**

```json
{
  "items": [
    {
      "entities": [
        {
          "items": [
            {
              "id": "",
              "linkType": "",
              "type": "Link"
            }
          ],
          "sys": {
            "type": "Array"
          }
        }
      ],
      "sys": {
        "archivedAt": "2020-01-01T13:00:00.000Z",
        "archivedBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "createdAt": "2025-09-03T13:58:12.000Z",
        "createdBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "environment": {
          "sys": {
            "id": "staging",
            "linkType": "Environment",
            "type": "Link"
          }
        },
        "space": {
          "sys": {
            "id": "yadj1kx9rmg0",
            "linkType": "Space",
            "type": "Link"
          }
        },
        "status": "",
        "type": "Release",
        "updatedAt": "2025-09-03T13:58:12.000Z",
        "updatedBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": 0
      },
      "title": ""
    }
  ],
  "limit": 0,
  "sys": {
    "type": "Array"
  },
  "total": 0
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

const updatedPayload = {
  title: "Updated Release title",
  entities: {
    sys: { type: 'Array' },
    items: [
     { sys: { linkType: 'Entry', type: 'Link', id: '<entry_id>' } }
    ]
  }
}

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment-id>'))
.then((environment) => environment.updateRelease({ releaseId: '<release_id>', version: 1, payload: updatedPayload } ))
.then((release) => console.log(release))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const updatedPayload = {
  title: 'Updated Release title',
  entities: {
    sys: { type: 'Array' },
    items: [
      {
        sys: {
          linkType: 'Entry',
          type: 'Link',
          id: '<entry_id>',
        },
      },
    ],
  },
};

const release = await client.release.update(
  {
    spaceId: '<space_id>',
    environmentId: '<environment_id>',
    releaseId: '<release_id>',
    version: 1,
  },
  updatedPayload
);
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```

### Timeline releases

**Request**

```json
{
  "entities": {
    "items": [
      {
        "action": "publish",
        "entity": {
          "sys": {
            "id": "",
            "linkType": "",
            "type": "Link"
          }
        }
      }
    ]
  },
  "sys": {
    "schemaVersion": "Release.v2",
    "type": "Release"
  },
  "title": ""
}
```

**Response**

```json
{
  "items": [
    {
      "entities": [
        {
          "items": [
            {
              "sys": {
                "id": "",
                "linkType": "",
                "type": "Link"
              }
            },
            "action:"
          ],
          "sys": {
            "type": "Array"
          }
        }
      ],
      "sys": {
        "archivedAt": "2020-01-01T13:00:00.000Z",
        "archivedBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "createdAt": "2025-02-26T08:18:06.000Z",
        "createdBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "environment": {
          "sys": {
            "id": "staging",
            "linkType": "Environment",
            "type": "Link"
          }
        },
        "schemaVersion": "Release.v2",
        "space": {
          "sys": {
            "id": "yadj1kx9rmg0",
            "linkType": "Space",
            "type": "Link"
          }
        },
        "status": "",
        "type": "Release",
        "updatedAt": "2025-02-26T08:18:06.000Z",
        "updatedBy": {
          "sys": {
            "id": "7BslKh9TdKGOK41VmLDjFZ",
            "linkType": "User",
            "type": "Link"
          }
        },
        "version": 0
      },
      "title": ""
    }
  ],
  "limit": 0,
  "sys": {
    "type": "Array"
  },
  "total": 0
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

const updatedPayload = {
  title: "Updated Release title",
  entities: {
    sys: { type: 'Array' },
    items: [
     { sys: { linkType: 'Entry', type: 'Link', id: '<entry_id>' } }
    ]
  }
}

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment-id>'))
.then((environment) => environment.updateRelease({ releaseId: '<release_id>', version: 1, payload: updatedPayload } ))
.then((release) => console.log(release))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const updatedPayload = {
  title: 'Updated Release title',
  entities: {
    sys: { type: 'Array' },
    items: [
      {
        sys: {
          linkType: 'Entry',
          type: 'Link',
          id: '<entry_id>',
        },
      },
    ],
  },
};

const release = await client.release.update(
  {
    spaceId: '<space_id>',
    environmentId: '<environment_id>',
    releaseId: '<release_id>',
    version: 1,
  },
  updatedPayload
);
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```